﻿using UnityEngine;
using System.Collections;

public class Player : MonoBehaviour {

    public float moveSpeed = 5f;                // 移動速度
    public float rotationSpeed = 360f;          // 回転速度

    CharacterController characterController;    // プレイヤーの制御

	// Use this for initialization
	void Start () {

        // プレイヤー制御コンポーネントの取得
        characterController = GetComponent< CharacterController >(); 

	}
	
	// Update is called once per frame
	void Update () {

        Vector3 direction = new Vector3(Input.GetAxis("Horizontal"), 0, Input.GetAxis("Vertical"));

        
        if (direction.sqrMagnitude > 0.01f) {

            Vector3 forward = Vector3.Slerp(transform.forward, direction, rotationSpeed * Time.deltaTime / Vector3.Angle(transform.forward, direction));

            transform.LookAt(transform.position + forward);

        }

        // プレイヤーの移動
        characterController.Move(direction * moveSpeed * Time.deltaTime);

	}
}
